6.0.0-git
2019-03-24

[#7820] BC break in Horde_Share::listShares() method signature
Summary BC break in Horde_Share::listShares() method signature
Queue Nag
Queue Version 2.3.1
Type Bug
State Resolved
Priority 2. Medium
Owners chuck (at) horde (dot) org
Requester jukka (at) netland (dot) fi
Created 2008-12-31 (3735 days ago)
Due
Updated 2009-01-13 (3722 days ago)
Assigned 2009-01-13 (3722 days ago)
Resolved 2009-01-13 (3722 days ago)
Milestone
Patch No

History
2009-01-13 15:50:47 Chuck Hagenbuch Comment #11
Assigned to Chuck Hagenbuch
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Committed.
2009-01-13 12:07:22 Jan Schneider Comment #8 Reply to this comment
Looks good.
2009-01-13 04:36:55 Chuck Hagenbuch Comment #7
State ⇒ Feedback
New Attachment: 7820.patch.txt Download
Reply to this comment
Proposed patch for Nag, I'll add Mnemo and Kronolith (FW_3 only) if 
this looks good. No need for spread to be compatible with Horde 3.1.
2009-01-13 04:28:45 Chuck Hagenbuch Comment #6
Summary ⇒ BC break in Horde_Share::listShares() method signature
Reply to this comment
For posterity, this happened because I removed the listShares() method 
completely in this commit:

http://cvs.horde.org/diff.php/framework/Share/Share.php?r1=1.142&r2=1.143



And then when the extended parameters were added back in, $parent and 
$allLevels weren't there since this was no longer DataTree-specific 
code:

http://cvs.horde.org/diff.php/framework/Share/Share.php?r1=1.162&r2=1.163
2009-01-12 10:56:41 Jan Schneider Comment #5 Reply to this comment
The three places would be:

nag/lib/Nag.php

mnemo/lib/Mnemo.php

kronolith/lib/Kronolith.php

and additionally:

incubator/spread/lib/Spread.php
2009-01-12 10:53:17 Jan Schneider Comment #4 Reply to this comment
Reverting to the original signature in Horde_Share would break forward 
compatibility, so I guess the cheapest solution is to test for the 
Horde version in the three places where we actually use the additional 
parameters and add a switch there.
2009-01-12 04:19:40 Chuck Hagenbuch Comment #3
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
I don't think there's anything we can do about this at this point - 
anyone else?
2009-01-04 06:24:32 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
You're going to need a different Horde version or a different Nag 
version. At this point I'm not sure if any Nag version should have 
worked with that version of listShares; it's more likely to be an 
unintentional BC break when going from x.1.x to x.2.x.
2008-12-31 12:07:25 jukka (at) netland (dot) fi Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Fresh Nag installation does not show any tasklists nor tasks
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
We have Horde version 3.1.5.



----8<----

Dec 31 13:20:40 HORDE [error] [nag] 0 does not exist [on line 281 of 
"/home/httpd/html/horde/nag-h3-2.3.1/lib/Nag.php"]

----8<----



There is listShares function call in Nag.php at line 281. There seems 
to be wrong parameters for listShares function.

Original version of line 282:

----8<----

         $tasklists = 
$GLOBALS['nag_shares']->listShares(Auth::getAuth(), $permission, 
$owneronly ? Auth::getAuth() : null, 0, 0, 'name');

----8<----



I added 'parent' and 'allLevels' parameters in the middle on parameters:

----8<----

         $tasklists = 
$GLOBALS['nag_shares']->listShares(Auth::getAuth(), $permission, 
$owneronly ? Auth::getAuth() : null, DATATREE_ROOT, true, 0, 0, 'name');

----8<----





The behaves now quite well. But I don't have any idea what 'parent' 
and 'allLevels' parameters should be.

Saved Queries